Bug 442589 - flash-plugin should require nspluginwrapper
flash-plugin should require nspluginwrapper
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: flash-plugin (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-15 14:10 EDT by Zack Cerza
Modified: 2008-04-22 12:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-22 11:01:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zack Cerza 2008-04-15 14:10:22 EDT
flash-plugin should require nspluginwrapper, at least on non-i386 arches.
Comment 1 Warren Togami 2008-04-21 22:41:36 EDT
Why is this needed?  Native ALSA should in theory be working.

Only reason libflashsupport is used on Fedora is due to the pulseaudio ALSA
emulation default.  RHEL does not use this.
Comment 2 Zack Cerza 2008-04-22 09:54:27 EDT
Nothing to do with audio; as far as I've understood from Chris Aillon, we want
everyone using nspluginwrapper unless they have a really good reason not to.
Mainly because of security concerns. See the recent cross-platform flash exploit
for a good example.
Comment 3 Zack Cerza 2008-04-22 09:55:16 EDT
Note that I said nspluginwrapper, not libflashsupport.
Comment 4 Warren Togami 2008-04-22 11:01:14 EDT
If you want everyone to use nspluginwrapper, then why not rely on something else
to ensure that nspluginwrapper is installed and working for all other plugins?

It creates inconsistencies to rely on a dep from flash-plugin because our RPM
would forever be different from Adobe's RPM, and Adobe's RPM is easier to find
even for our own customers.  We also don't want to FORCE our customers to use
nspluginwrapper with a hard dependency because it does break some other plugins.
 For these reasons comps is the only right solution.

I will not add this dep to flash-plugin.
Comment 5 Zack Cerza 2008-04-22 12:34:05 EDT
Fair enough.

Note You need to log in before you can comment on or make changes to this bug.